### Function

# EDataServer SourceCamel get_extension_name

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_camel_get_extension_name (
      const gchar* protocol
    )

#### Description [src]

Returns the extension name for the `ESourceCamel` subtype for `protocol`. The extension name can then be passed to `e_source_get_extension()` to obtain an instance of the `ESourceCamel` subtype.

For example, given a protocol named “imap” the function would return “Imap Backend”.

Available since: 3.6

#### Parameters

`protocol`

  Type: `const gchar*`

  A `CamelProvider` protocol.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The `ESourceCamel` extension name for `protocol`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.